# H245_CustomPictureClockFrequency Class Reference

`#include <h245.h>`

Inheritance diagram for H245_CustomPictureClockFrequency:

List of all members.

## Public Types

enum | OptionalFields { e_sqcifMPI, e_qcifMPI, e_cifMPI, e_cif4MPI, e_cif16MPI }

## Public Member Functions

| H245_CustomPictureClockFrequency (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_clockConversionCode
PASN_Integer | m_clockDivisor
PASN_Integer | m_sqcifMPI
PASN_Integer | m_qcifMPI
PASN_Integer | m_cifMPI
PASN_Integer | m_cif4MPI
PASN_Integer | m_cif16MPI

## Member Enumeration Documentation

enum H245_CustomPictureClockFrequency::OptionalFields

Enumerator:

  e_sqcifMPI |
  e_qcifMPI |
  e_cifMPI |
  e_cif4MPI |
  e_cif16MPI |

## Constructor & Destructor Documentation

H245_CustomPictureClockFrequency::H245_CustomPictureClockFrequency | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_CustomPictureClockFrequency::GetDataLength | ( |  | ) | const

PBoolean H245_CustomPictureClockFrequency::Decode | ( | PASN_Stream & | strm | ) |

void H245_CustomPictureClockFrequency::Encode | ( | PASN_Stream & | strm | ) | const

void H245_CustomPictureClockFrequency::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_CustomPictureClockFrequency::Compare | ( | const PObject & | obj | ) | const

PObject* H245_CustomPictureClockFrequency::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_CustomPictureClockFrequency::m_clockConversionCode

PASN_Integer H245_CustomPictureClockFrequency::m_clockDivisor

PASN_Integer H245_CustomPictureClockFrequency::m_sqcifMPI

PASN_Integer H245_CustomPictureClockFrequency::m_qcifMPI

PASN_Integer H245_CustomPictureClockFrequency::m_cifMPI

PASN_Integer H245_CustomPictureClockFrequency::m_cif4MPI

PASN_Integer H245_CustomPictureClockFrequency::m_cif16MPI

The documentation for this class was generated from the following file:

- h245.h